Package fr.gouv.vitam.common.model.administration

# Class AccessionRegisterSummaryModel

java.lang.Object
fr.gouv.vitam.common.model.administration.AccessionRegisterSummaryModel

public class AccessionRegisterSummaryModel extends Object
POJO java use for mapping @`AccessionRegisterSummary`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AccessionRegisterSummaryModel()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCreationDate()`
  `String`
  `getId()`
  `RegisterValueDetailModel`
  `getObjectSize()`
  `String`
  `getOriginatingAgency()`
  `Integer`
  `getTenant()`
  `RegisterValueDetailModel`
  `getTotalObjects()`
  `RegisterValueDetailModel`
  `getTotalObjectsGroups()`
  `RegisterValueDetailModel`
  `getTotalUnits()`
  `Integer`
  `getVersion()`
  `AccessionRegisterSummaryModel`
  `setCreationDate(String creationDate)`
  `AccessionRegisterSummaryModel`
  `setId(String id)`
  `AccessionRegisterSummaryModel`
  `setObjectSize(RegisterValueDetailModel objectSize)`
  `AccessionRegisterSummaryModel`
  `setOriginatingAgency(String originatingAgency)`
  `AccessionRegisterSummaryModel`
  `setTenant(Integer tenant)`
  `AccessionRegisterSummaryModel`
  `setTotalObjects(RegisterValueDetailModel totalObjects)`
  `AccessionRegisterSummaryModel`
  `setTotalObjectsGroups(RegisterValueDetailModel totalObjectsGroups)`
  `AccessionRegisterSummaryModel`
  `setTotalUnits(RegisterValueDetailModel totalUnits)`
  `void`
  `setVersion(Integer version)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AccessionRegisterSummaryModel

    public AccessionRegisterSummaryModel()

- ## Method Details

  - ### getId

    public String getId()
    Returns:
      id

  - ### setId

    public AccessionRegisterSummaryModel setId(String id)
    Parameters:
      `id` - value to set
    Returns:
      this

  - ### getTenant

    public Integer getTenant()
    Returns:
      tenant

  - ### setTenant

    public AccessionRegisterSummaryModel setTenant(Integer tenant)
    Parameters:
      `tenant` - the working tenant to set
    Returns:
      this

  - ### getVersion

    public Integer getVersion()
    Returns:
      version

  - ### setVersion

    public void setVersion(Integer version)
    Parameters:
      `version` -

  - ### getOriginatingAgency

    public String getOriginatingAgency()
    Returns:
      originatingAgency

  - ### setOriginatingAgency

    public AccessionRegisterSummaryModel setOriginatingAgency(String originatingAgency)
    Parameters:
      `originatingAgency` - value to set
    Returns:
      this

  - ### getTotalObjects

    public RegisterValueDetailModel getTotalObjects()
    Returns:
      totalObjects

  - ### setTotalObjects

    public AccessionRegisterSummaryModel setTotalObjects(RegisterValueDetailModel totalObjects)
    Parameters:
      `totalObjects` - value to set
    Returns:
      this

  - ### getTotalObjectsGroups

    public RegisterValueDetailModel getTotalObjectsGroups()
    Returns:
      totalObjectsGroups

  - ### setTotalObjectsGroups

    public AccessionRegisterSummaryModel setTotalObjectsGroups(RegisterValueDetailModel totalObjectsGroups)
    Parameters:
      `totalObjectsGroups` - value to set
    Returns:
      this

  - ### getTotalUnits

    public RegisterValueDetailModel getTotalUnits()
    Returns:
      totalUnits

  - ### setTotalUnits

    public AccessionRegisterSummaryModel setTotalUnits(RegisterValueDetailModel totalUnits)
    Parameters:
      `totalUnits` - value to set
    Returns:
      AccessionRegisterSummaryModel

  - ### getObjectSize

    public RegisterValueDetailModel getObjectSize()
    Returns:
      ObjectSize

  - ### setObjectSize

    public AccessionRegisterSummaryModel setObjectSize(RegisterValueDetailModel objectSize)
    Parameters:
      `objectSize` - value to set
    Returns:
      this

  - ### getCreationDate

    public String getCreationDate()
    Returns:
      creationDate

  - ### setCreationDate

    public AccessionRegisterSummaryModel setCreationDate(String creationDate)
    Parameters:
      `creationDate` - value to set
    Returns:
      this